## Apache Zeta Components Manual :: Docs For Class ezcDbSchemaDbReader

### DatabaseSchema::ezcDbSchemaDbReader

### Interface ezcDbSchemaDbReader

This class provides the interface for database schema readers

Source for this file: /DatabaseSchema/src/interfaces/db_reader.php

    ezcDbSchemaReader
       |
       --ezcDbSchemaDbReader

Version: | //autogen//

### Method Summary

public ezcDbSchema | `loadFromDb( $db )` Returns an ezcDbSchema created from the database schema in the database referenced by $db

### Inherited Methods

From ezcDbSchemaReader
public int | `ezcDbSchemaReader::getReaderType()` Returns what type of schema reader this class implements.

### Methods

#### loadFromDb

ezcDbSchema loadFromDb( $db )

Returns an ezcDbSchema created from the database schema in the database referenced by $db

This method analyses the current database referenced by $db and creates a schema definition out of this. This schema definition is returned as an (@link ezcDbSchema) object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$db` | ezcDbHandler |

Documentation generated by phpDocumentor 1.4.3